%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Parse-RecDescent

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Parse::RecDescent - generate recursive-descent parsers
Name:		perl-%{perlname}
Version:	1.95.1
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Parse+RecDescent
Group:		Development/Perl
Source0:	%{perlname}-v%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Parse::RecDescent - generate recursive-descent parsers
For more details see: http://search.cpan.org/search?module=Parse+RecDescent

%prep
%setup -q -n %{perlname}-v%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.95.1-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.94-2
- rebuild against perl-5.8.8
* Wed Dec 07 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.94-1
- Initial Release
